> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Payout

> This api will withdraw fiat from the integrator’s fiat wallet to the customer’s mobile money wallet.

This API will withdraw fiat from the integrator's fiat wallet to the customer's mobile money wallet.


## OpenAPI

````yaml POST /api/v3/withdraw/mobile-money
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/withdraw/mobile-money:
    post:
      tags:
        - WITHDRAW
      summary: Withdraw Fiat to Mobile Money
      description: >-
        This api will withdraw fiat from the integrator’s fiat wallet to the
        customer’s mobile money wallet.
      operationId: WithdrawController_mobileMoney_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWithdrawalDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Withdrawal has been successfully created.
                  data:
                    $ref: '#/components/schemas/WithdrawResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid API Key
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    CreateWithdrawalDto:
      type: object
      properties:
        customer_key:
          type: string
          example: customer-key-123
          description: Customer key
        amount:
          type: number
          description: amount to withdraw
          example: 10
        walletId:
          type: string
          description: wallet id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        callbackUrl:
          type: string
          description: callback url
          example: https://example.com
        referenceId:
          type: string
          description: reference id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        currency:
          type: string
          description: >-
            Override transaction currency (e.g. USD for USD mobile money in
            Congo/Zambia). When provided and matches the wallet currency,
            phone-country currency validation is skipped.
          example: USD
      required:
        - customer_key
        - amount
        - walletId
    WithdrawResponseDto:
      type: object
      properties:
        id:
          type: string
        message:
          type: string
        referenceId:
          type: string
        referenceNumber:
          type: number
      required:
        - id
        - message
        - referenceId
        - referenceNumber
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````